package com.example.veraxapplication.articles.contenus

class ContenuMedia(id: Int, var titre: String, var lien: String) : Contenu(id) {

    init {
        setTypeContenu("image")
    }

    val contenu: Map<String, String>
        get() {
            val contenu: MutableMap<String, String> = HashMap<String, String>()
            contenu.put("titre", titre)
            contenu.put("contenu", lien)
            return contenu
        }

    companion object {
        fun newVideo(id: Int, titre: String, lien: String): ContenuMedia {
            val temp = ContenuMedia(id, titre, lien)
            temp.setTypeContenu("video")
            return temp
        }
    }
}